%define version 0.1
%define release 2

Name: ejabberd-modules
Summary: Extras modules for Ejabberd server
Version: %{version}
Release: %{release}%{?dist}
License: GPLv2+
URL: https://github.com/processone/ejabberd-contrib
Group: Applications/Internet

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Ejabberd modules sources
Source0: mod_filter.erl
Source1: mod_archive_odbc.erl
Source2: mod_archive_webview.erl
Source3: ejabberd-mysql-svn1107.tar.gz
Source4: mod_log_chat.erl

# Ejabberd modules ressources
Source100: mod_archive_odbc_mysql.sql
Source101: mod_archive_odbc_sqlite3.sql
Source102: mod_archive_odbc_pgsql.sql
Source103: mysql.sql

Requires: ejabberd >= 2.1
BuildRequires: ejabberd >= 2.1

%description
Some extra modules for the Ejabberd XMPP server.
Actually, mod_filter, mod_archive_odbc, 
mod_archive_webviewer, the native mysql driver,
and mod_log_chat are included

%prep
%setup -q -T -c
%setup -q -D -T -a 3

%build

# Compile erl sources
for SRC in %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE4}; do
    erlc -I %{_libdir}/ejabberd/include $SRC
done

# Compile mysql driver
pushd ./mysql
sh ./build.sh
popd

# Copy ressources (like sql schema)
for RES in %{SOURCE100} %{SOURCE101} %{SOURCE102} %{SOURCE103}; do
    %{__cp} $RES ./
done

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir} -p %{buildroot}/%{_libdir}/ejabberd/ebin/
%{__install} -m 644 *.beam %{buildroot}/%{_libdir}/ejabberd/ebin/
%{__install} -m 644 mysql/ebin/*.beam %{buildroot}/%{_libdir}/ejabberd/ebin/

# Create mod_log_chat directory
%{__mkdir} -p %{buildroot}/var/log/ejabberd/chat/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.sql
%{_libdir}/ejabberd/ebin/*.beam
%attr(750,ejabberd,ejabberd) %dir /var/log/ejabberd/chat

%changelog
* Fri Nov 15 2013 Daniel Berteaud <daniel@firewall-services.com> 0.1-2
- Cleanup the spec file

* Mon Jan 17 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-1
- initial release
